<template>
  <div class="container">
    <div class="favorites-section-item">
      <div class="img-ctn">
        <img :src="image" :alt="data.image_alt" />
      </div>
      <div class="info-ctn">
        <div class="info-title-ctn">
          <div class="info-title text--secondary">
            {{ $t('breadcrumb.universe') }}
          </div>
          <div class="author-ctn">
            <div class="author-img">
              <a :href="authorUrl">
                <img :src="authorImg" alt="reviewer" />
              </a>
            </div>
            <div class="author-info">
              <a :href="authorUrl">
                <div class="author-title text--secondary">
                  {{ $t('followers.superreader') }}
                </div>
                <span class="author-name text--xs text--primary">
                  {{ data.super_reader.login }}
                </span>
              </a>
            </div>
          </div>
        </div>
        <h2 class="heading--lg heading--primary sr-title">{{ data.title }}</h2>
        <div
          class="desc-ctn text--primary"
          v-html="$utils.nlToBr(data.description)"
        />
        <a
          :href="data.button_url"
          :target="data.button_new_window == '1' ? '_blank' : '_self'"
        >
          <AppButton>{{
            data.button_text ? data.button_text : $t('catalog.discover')
          }}</AppButton>
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/universe-page-block/${this.data.id}.jpg?v=${this.data.version}`
    },

    authorImg() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/avatar/${this.data.super_reader.id}.jpg`
    },

    authorUrl() {
      return `${this.$config.apiUrl}/${this.$i18n.locale}/profil/${this.data.super_reader.id}`
    }
  }
}
</script>

<style lang="scss" scoped>
.container {
  background: #f8f8f8;
}

.favorites-section-item {
  display: flex;
  background: #f8f8f8;
  max-width: 1260px;
  margin: auto;
  margin-bottom: 36px;
  padding: 80px 0;

  @media (max-width: 768px) {
    max-height: auto;
    margin-bottom: 2rem;
    flex-direction: column;
  }

  .img-ctn {
    flex: 1;
    display: flex;
    align-items: center;
    padding-right: 5rem;
    img {
      max-height: 100%;
    }

    @media (max-width: 768px) {
      padding-right: 0;

      img {
        max-height: unset;
        width: 100%;
      }
    }
  }

  .info-ctn {
    flex: 1;
    @media (max-width: 768px) {
      padding: 0 15px;
      width: 100%;
      text-align: center;
    }

    .info-title-ctn {
      display: flex;

      @media (max-width: 768px) {
        justify-content: center;
        padding: 50px 0 30px;
      }
    }

    .info-title {
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 26px;
      font-family: DINCond-Bold;
      font-weight: 700;
      text-transform: uppercase;
      padding-right: 20px;
      border-right: 3px solid #e8e8e8;

      @media (max-width: 768px) {
        border-right: 0;
        padding-right: 0;
      }
    }

    .author-ctn {
      display: flex;
      padding-left: 20px;

      @media (max-width: 768px) {
        max-height: auto;
        margin-top: 1rem;
        display: none;
      }

      .author-img {
        margin-right: 1rem;

        img {
          width: 2.5rem;
          height: 2.5rem;
          border-radius: 99999px;
        }
      }

      .author-title {
        font-size: 18px;
      }
    }
    .sr-title {
      line-height: normal;
      margin-top: 1rem;
      margin-bottom: 1rem;
      @media (max-width: 768px) {
        text-align: center;
      }
    }

    .desc-ctn {
      margin-bottom: 30px;
      line-height: 1.7;
      text-align: justify;

      @media (max-width: 768px) {
        text-align: center;
      }
    }

    ::v-deep .button {
      @media (max-width: 767px) {
        padding: 1.5rem 0;
      }
    }
  }
}
</style>
